Debian Bug report logs - #670751
inn: Uses perl4 corelibs without Depends

version graph

Package: inn; Maintainer for inn is Marco d'Itri <md@linux.it>; Source for inn is src:inn.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Sat, 28 Apr 2012 17:27:01 UTC

Severity: normal

Found in version inn/1:1.7.2q-40

Fixed in version inn/1:1.7.2q-41

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#670751; Package inn. (Sat, 28 Apr 2012 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 28 Apr 2012 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: inn: Uses perl4 corelibs without Depends
Date: Sat, 28 Apr 2012 18:23:17 +0100
Package: inn
Version: 1:1.7.2q-40
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

On Mon, Jan 30, 2012 at 10:38:12PM +0100, Marco d'Itri wrote:
> On Jan 30, Dominic Hargreaves <dom@earth.li> wrote:
> 
> > I would like to file bugs against these packages, together with patches
> > if possible, to fix the issues (I'm hoping that other members of the
> I already have pending fixes for inn.

Okay, thanks. I hope you won't mind me filing this bug now, to allow
us to track the status of this.

As a reminder, this is about the lintian warning

http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html

which for the inn binary package is

usr/lib/news/bin/innmail:15 getopts.pl
usr/lib/news/bin/scanspool:97 getopts.pl

The lintian description has one possible fix.

Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Fri, 29 Jun 2012 00:09:04 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Fri, 29 Jun 2012 00:09:04 GMT) Full text and rfc822 format available.

Message #10 received at 670751-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 670751-close@bugs.debian.org
Subject: Bug#670751: fixed in inn 1:1.7.2q-41
Date: Fri, 29 Jun 2012 00:04:44 +0000
Source: inn
Source-Version: 1:1.7.2q-41

We believe that the bug you reported is fixed in the latest version of
inn, which is due to be installed in the Debian FTP archive:

inn_1.7.2q-41.diff.gz
  to main/i/inn/inn_1.7.2q-41.diff.gz
inn_1.7.2q-41.dsc
  to main/i/inn/inn_1.7.2q-41.dsc
inn_1.7.2q-41_i386.deb
  to main/i/inn/inn_1.7.2q-41_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 670751@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated inn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 29 Jun 2012 01:51:17 +0200
Source: inn
Binary: inn
Architecture: source i386
Version: 1:1.7.2q-41
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 inn        - News transport system `InterNetNews' by the ISC and Rich Salz
Closes: 670751
Changes: 
 inn (1:1.7.2q-41) unstable; urgency=low
 .
   * Replaced innmail, which uses obsolete Perl features, with mailx.
   * config.data.debian: added support for dpkg-buildflags.
   * New patch fix_perl514: stops using perl4's getopts.pl. (Closes: #670751)
   * New patch siteinfo_format: fixes a format error.
   * Added a xunbatch program.
Checksums-Sha1: 
 5c6e4c6e281895daec1a5ad43b3338419f65dce7 1021 inn_1.7.2q-41.dsc
 3370fc24be534c4e96e372315d1dffefc12ce82a 184730 inn_1.7.2q-41.diff.gz
 9c834952745a1de7ae9afd3f757e08c8050d051e 875170 inn_1.7.2q-41_i386.deb
Checksums-Sha256: 
 fdcf00c75ea08379054c3784340ece4579ff0d25892d2b5655815d44d22e2955 1021 inn_1.7.2q-41.dsc
 668b98c4b36340957a16f81aa2b8d3a2c8c7f2a34b4c07ff7673c2229cf89482 184730 inn_1.7.2q-41.diff.gz
 db5a5ca31ab64daf601e24c5aa5627497102e64fd4fb224ce87a7ea3e8cca0dc 875170 inn_1.7.2q-41_i386.deb
Files: 
 cb16d42f28061a68b487fcb5568a2191 1021 news extra inn_1.7.2q-41.dsc
 6a1b12ea5a1689d4a4bc8b66b37c5b4a 184730 news extra inn_1.7.2q-41.diff.gz
 212ebc0d3521b130debfe9470b34e983 875170 news extra inn_1.7.2q-41_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/s7hQACgkQFGfw2OHuP7FIMQCgkCb23VLTft6ZkcEAYDJvk0vF
dHMAn2Y4Nr3fJVIgkS9bE4tZ6hRSXx/u
=/ijh
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Aug 2012 07:31:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:28:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.